## NAME

d.labels - Displays text labels (created with v.label) to the active frame on the graphics monitor.

## KEYWORDS

display, paint labels

## SYNOPSIS

d.labels
d.labels --help
d.labels [-i] labels=string [minreg=float] [maxreg=float] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-i
  Ignore rotation setting and draw horizontally
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

labels=string [required]
  Name of label file
minreg=float
  Minimum region size (diagonal) when labels are displayed
maxreg=float
  Maximum region size (diagonal) when labels are displayed

## DESCRIPTION

d.labels displays a paint label file in the active display frame on the graphics monitor. Each label has components which determine the text, the location of the text on the image, its size, and the background for the text. This file can be generated with the v.label program or simply created by the user as an ASCII file (using a text editor) and placed in the appropriate directory under the user's current mapset and location (i.e. `$MAPSET/paint/labels/`).

## NOTES

Some of the information stored in the label file is unused by d.labels. This extra information is used by such programs as ps.map.

This module was formerly known as d.paint.labels. The the old version of d.labels from GRASS 5, which provided interactive placement and modification of paint labels, still needs to have its functionality merged into this module.

## SEE ALSO

d.font
d.text
d.title
ps.map
v.label

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: d.labels source code (history)

Accessed: Saturday Apr 13 23:37:57 2024

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.2 Reference Manual